import { Injectable, Scope } from '@nestjs/common';
import { BaseReportService } from '../shared/services/base-report.service';
import { CreateReportExportDto } from '../shared/dto/report-export.create.dto';
import {
  GetReportExportDto,
  GetReportExportFileNameDto,
  GetReportExportProcessingDto,
} from '../shared/dto/report-export.get.dto';
import { InjectDataSource, InjectRepository } from '@nestjs/typeorm';
import { ExportReportHistoryModel } from '../shared/models/export-report-history.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { DataSource, Repository } from 'typeorm';

@Injectable({ scope: Scope.REQUEST })
export class ReportExportService extends BaseReportService {
  constructor(
    @InjectDataSource(CONNECTION_NAME.DEFAULT)
    private dataSource: DataSource,

    @InjectRepository(ExportReportHistoryModel, CONNECTION_NAME.DEFAULT)
    private exportHistoryRepo: Repository<ExportReportHistoryModel>,
  ) {
    super();
  }

  async create(body: CreateReportExportDto) {
    return 'you hit API for create report export';
  }

  async getAll(query: GetReportExportDto) {
    return 'you hit API for get all report export';
  }

  async delete(id: string) {
    return 'you hit API for delete report export';
  }

  async getAllProcessing(query: GetReportExportProcessingDto) {
    return 'you hit API for get all processing report export';
  }

  async getListHistoryFileName(query: GetReportExportFileNameDto) {
    return 'you hit API for get all file name report export';
  }
}
